Bug 981803 - yum -v usage with Environment Group names creates continuous warnings thereafter
yum -v usage with Environment Group names creates continuous warnings therea...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 17:06 EDT by joshua
Modified: 2015-02-17 10:53 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:53:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2013-07-05 17:06:10 EDT
Description of problem:

After doing this:
# sudo yum groupinstall gnome-desktop-environment lxde-desktop-environment xfce-desktop-environment cinnamon-desktop-environment mate-desktop-environment

... I get these "Environment Group" warnings with every yum command thereafter:

# sudo yum -y --skip-broken update
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: archive.linux.duke.edu
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * updates: archive.linux.duke.edu
Warning: Environment Group gnome-desktop-environment does not exist.
Warning: Environment Group mate-desktop-environment does not exist.
Warning: Environment Group lxde-desktop-environment does not exist.
Warning: Environment Group basic-desktop-environment does not exist.
Warning: Environment Group xfce-desktop-environment does not exist.
Warning: Environment Group cinnamon-desktop-environment does not exist.
No packages marked for update

I don't get these warnings when I include the "-v" option yum... but surely this isn't intended.


Version-Release number of selected component (if applicable):

yum-plugin-fastestmirror-1.1.31-15.fc19.noarch
PackageKit-yum-0.8.9-6.fc19.x86_64
PackageKit-yum-plugin-0.8.9-6.fc19.x86_64
yum-3.4.3-99.fc19.noarch
anaconda-yum-plugins-1.0-9.fc19.noarch
yum-utils-1.1.31-15.fc19.noarch
yum-langpacks-0.3.1-2.fc19.noarch
yum-metadata-parser-1.1.4-8.fc19.x86_64
Comment 1 James Harrion 2013-08-11 15:31:44 EDT
I got this error:
[root@A00138 ~]# yum update
Loaded plugins: changelog, dellsysid, langpacks, refresh-packagekit
Warning: Environment Group gnome-desktop-environment does not exist.

The system would not update

I ran 'yum clean all' and then rerun the 'yum update' and problem went away.
Comment 2 joshua 2013-08-12 12:59:55 EDT
"yum clean all" does not resolve this issue for me
Comment 3 Denis Arnaud 2013-08-15 09:38:50 EDT
"yum group mark remove gnome-desktop-environment mate-desktop-environment ..." solves the issue
Comment 4 joshua 2013-08-18 12:09:48 EDT
Why is it that groupname for installation works during installing, but not for update checks?  Seems like a good idea, making the groups remembered objects... it  just seems that it wasn't carried all the way through to working with updates.
Comment 5 Georg Sauthoff 2013-09-24 15:25:21 EDT
After a

    # yum group install 'Xfce Desktop'


when executing

    # yum update

I've got the same environment warning message

    Warning: Environment Group xfce-desktop-environment does not exist.

(and no packages are updated)

A

    # yum clean all

fixed the issue for me, though. The next 'yum update' worked as expected - i.e. no bogus warning message and the expected updates were installed.
Comment 6 joshua 2013-09-24 15:30:50 EDT
I have the same problem on two separate machines.  "yum clean all" does not fix anything for me.
Comment 7 Jeff Bastian 2013-09-27 09:57:52 EDT
I cannot actually install any groups: it tells me that they don't exist even after it lists the group and gives me all the info on the group.

Picking on Cinnamon as an example:

~]# yum group list ids
Loaded plugins: langpacks, refresh-packagekit, tmprepo
Available environment groups:
   ...
   Cinnamon Desktop (cinnamon-desktop-environment)
   ...

~]# yum group info cinnamon-desktop-environment
Loaded plugins: langpacks, refresh-packagekit, tmprepo

Environment Group: Cinnamon Desktop
 Environment-Id: cinnamon-desktop-environment
 ...

~]# yum group install cinnamon-desktop-environment
Loaded plugins: langpacks, refresh-packagekit, tmprepo
Warning: environment cinnamon-desktop-environment does not exist.
No packages in any requested group available to install or update


How can it list the group and show info on the group, but not actually install it?

I tried the yumex GUI tool and I can install the group that way, but not via the yum command.
Comment 8 Martin Tarenskeen 2013-12-04 02:26:06 EST
(In reply to Jeff Bastian from comment #7)

> How can it list the group and show info on the group, but not actually
> install it?
> 

Same here. I suddenly cannot group-install any desktop anymore!! (It has not always been like this. But today some things went wrong on my computer and now I need to reinstall gnome)
Comment 9 Adam Pribyl 2013-12-10 16:52:00 EST
This really is a mess. After yum convert groups following yum update wants to install almost complete Fedora repositories, 48 groups are Warning: does not exist". Marking them all as remove fixes the updates to sane packages, but group install is overall "broken". 

yum group install "Minimal Install" works but no group is in yum group list in the Installed groups list
Yum groups mark-install "Minimal Install" just says at the following yum operations 
Warning: Environment Group minimal-environment does not exist.
Warning: group core does not exist.

yum group info all 
just says
Warning: group/environment all does not exist, while the help says 
info [PACKAGE|all|available|installed|updates|distro-extras|extras|obsoletes|recent]

yum group list lists roughly 40 groups, but there is no "virtualization" group, while with yum group info virtualization prints the group content, the group can not be installed, 

yum group mark-install "ThisGroupDoesNotExist"
Marked install: ThisGroupDoesNotExist
marks any string for installation even it does not exist at all.

Is this GroupAsObject really supposed to work?
Comment 10 Fedora End Of Life 2015-01-09 13:42:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Myself 2015-01-25 18:51:57 EST
'yum group mark convert'

worked for me...
Comment 12 Fedora End Of Life 2015-02-17 10:53:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.